# Location of the directory where functions.inc.sh and the defaults file are
# stored (without trailing slash).
# Default: /etc/madwifi
RESOURCEDIR=/etc/madwifi

# Location of ifupdown configuration and hook script subdirectories (without
# trailing slash).
# Default: /etc/network
IFUPDOWNDIR=/etc/network

# Nothing beyond this line should be changed, unless you know exactly what
# you're doing!
###############################################################################

# DESTDIR is used as path prefix during installation.
DESTDIR ?=

all:
	@echo "Nothing to do here."

install:
	@if [ ! -d "${IFUPDOWNDIR}" ]; then \
		echo "${IFUPDOWNDIR} does not exist"; \
		exit 1; \
	fi
	@sh scripts/install.sh "${IFUPDOWNDIR}" "${RESOURCEDIR}" "${DESTDIR}"

uninstall:
	@sh scripts/uninstall.sh "${IFUPDOWNDIR}" "${RESOURCEDIR}" "${DESTDIR}"
